" Disable whitespace highlighting in git buffer
autocmd BufEnter <buffer> DisableWhitespace

xnoremap <Leader>gb :<C-U>call <SID>git_checkout_branch()<CR>

" We would like to checkout a branch by visually selecting a branch name in
" the output of git branch -a.
function! s:git_checkout_branch() abort
  normal! `<v`>y
  silent execute "Git checkout " . shellescape(@@)
endfunction
